# PCMGSetCycleType

Sets the type cycles to use. Use PCMGSetCycleTypeOnLevel() for more complicated cycling.

### Synopsis

    #include "petscmg.h"
    PetscErrorCode PETSCKSP_DLLEXPORT PCMGSetCycleType(PC pc,PCMGCycleType n)

Collective on PC

### Input Parameters

| pc | - the multigrid context
| PC_MG_CYCLE_V or PC_MG_CYCLE_W | - Options Database Key:

     -pc_mg_cycle_type v or w

### Keywords

MG, set, cycles, V-cycle, W-cycle, multigrid

### See Also

PCMGSetCycleTypeOnLevel()

Level:advanced
Location: src/ksp/pc/impls/mg/mg.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages